Update current account profile metadata
import requests
url = "https://api.13-215-85-171.sslip.io/v1/account/me"
payload = {
"display_name": "<string>",
"avatar_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)curl --request PATCH \
--url https://api.13-215-85-171.sslip.io/v1/account/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"avatar_url": "<string>"
}
'{
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"tier": "<string>",
"quota_tier_id": "<string>",
"is_operator": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"display_name": "<string>",
"avatar_url": "<string>",
"email_verified_at": "2023-11-07T05:31:56Z",
"soft_deleted_at": "2023-11-07T05:31:56Z",
"delete_scheduled_at": "2023-11-07T05:31:56Z",
"abuse_flags": {}
},
"team": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quota_tier_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"soft_deleted_at": "2023-11-07T05:31:56Z"
},
"quota_tier": {
"id": "<string>",
"display_name": "<string>",
"max_concurrent_machines": 123,
"daily_machine_creates": 123,
"daily_gb_hours": 123
},
"quota_usage": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usage_date": "2023-12-25",
"machine_creates": 123,
"gb_hours": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"email_verified": true,
"session_email": "<string>"
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Account
Update current account profile metadata
Dormant during the private-beta key-only e2e. This route returns
feature_unavailable unless NULLSPACE_SELF_SERVE_AUTH_ENABLED=true
is set.
PATCH
/
v1
/
account
/
me
Update current account profile metadata
import requests
url = "https://api.13-215-85-171.sslip.io/v1/account/me"
payload = {
"display_name": "<string>",
"avatar_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)curl --request PATCH \
--url https://api.13-215-85-171.sslip.io/v1/account/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"avatar_url": "<string>"
}
'{
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"tier": "<string>",
"quota_tier_id": "<string>",
"is_operator": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"display_name": "<string>",
"avatar_url": "<string>",
"email_verified_at": "2023-11-07T05:31:56Z",
"soft_deleted_at": "2023-11-07T05:31:56Z",
"delete_scheduled_at": "2023-11-07T05:31:56Z",
"abuse_flags": {}
},
"team": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quota_tier_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"soft_deleted_at": "2023-11-07T05:31:56Z"
},
"quota_tier": {
"id": "<string>",
"display_name": "<string>",
"max_concurrent_machines": 123,
"daily_machine_creates": 123,
"daily_gb_hours": 123
},
"quota_usage": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"usage_date": "2023-12-25",
"machine_creates": 123,
"gb_hours": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"email_verified": true,
"session_email": "<string>"
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"error_detail": {
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Authorizations
Supabase Auth access token passed as Bearer token
⌘I